import tkinter as tk
from time import strftime

def update_time():
    current_time = strftime("%H:%M:%S")
    clock_label.config(text=current_time)
    clock_label.after(1000, update_time)

root = tk.Tk()
root.title("Codity Digital Clock")
root.geometry("300x150")
root.resizable(False, False)

clock_label = tk.Label(
    root,
    font=("Helvetica", 48, "bold"),
    background="black",
    foreground="red"
)
clock_label.pack(expand=True, fill="both")
update_time()
root.mainloop()